Index: 0.3-modules/reportes_sipes_views/reportes_sipes_views.info~
===================================================================
--- 0.3-modules/reportes_sipes_views/reportes_sipes_views.info~	(revision 6926c6ecca736a9afa3566a27b2a41a03f4c3a46)
+++ 	(revision )
@@ -1,29 +1,0 @@
-; Sistema Integral de PlanificaciÃ³n y Presupuesto (SIPP)
-; @file reportes_sipp.info
-; Drupal part Module to install proyectos operativos module
-; Copyright 2012 Sistema Automatizado para la PlanificaciÃ³n EstratÃ©gico-Situacional en la AdministraciÃ³n PÃºblica Venezolana (CENDITEL)
-;
-; This program is free software; you can redistribute it and/or modify
-; it under the terms of the GNU General Public License as published by
-; the Free Software Foundation; either version 2 of the License, or
-; (at your option) any later version.
-; 
-; This program is distributed in the hope that it will be useful,
-; but WITHOUT ANY WARRANTY; without even the implied warranty of
-; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-; GNU General Public License for more details.
-; 
-; You should have received a copy of the GNU General Public License
-; along with this program; if not, write to the Free Software
-; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-;
-; @author CENDITEL Merida - Ing. Diego Uzcategui (diego.uzc [at] gmail [dot] com)
-; @date 2013-04-25 // (anno-mes-dia)
-; @version 0.1
-
-name = Reportes SIPES views
-description =Generar Reporte SIPES POA
-dependencies[] = views
-
-package = Planificador - core
-core = 6.x
Index: 0.3-modules/reportes_sipes_views/reportes_sipes_views.module
===================================================================
--- 0.3-modules/reportes_sipes_views/reportes_sipes_views.module	(revision 6926c6ecca736a9afa3566a27b2a41a03f4c3a46)
+++ 0.3-modules/reportes_sipes_views/reportes_sipes_views.module	(revision 9dbb666757921f977575326ebc9222c2a105f08d)
@@ -65,5 +65,4 @@
  */
 function reporte_sipes_views_page() {
-  $content = '';
   $view_id = 'reporte_poan_anual';
   $view = views_get_view($view_id);
@@ -74,127 +73,49 @@
   $view->execute();
   // $output = $view->render();
-
+  $year = variable_get('proyectos_operativos_anho_creacion', 0);
+  $header = '<table border="1" cellpadding="4" style="text-align: justify">';
+  $header .= '<tr>';
+  $header .= '<th rowspan = "2" style="width: 5%; text-align: center">' . t('Cod.') . '</th>';
+  $header .= '<th rowspan = "2" style="width: 10%; text-align: center">' . t('Nombre del Proyecto.') . '</th>';
+  $header .= '<th rowspan = "2" style="width: 10%; text-align: center">' . t('Objetivo EspecÃ­fico del Proyecto') . '</th>';
+  $header .= '<th rowspan = "2" style="width: 10%; text-align: center">' . t('Ejecutor') . '</th>';
+  $header .= '<th rowspan = "2" style="width: 10%; text-align: center">' . t('LocalizaciÃ³n') . '</th>';
+  $header .= '<th colspan = "2" style="width: 20%; text-align: center">' . t('Resultado de las Acciones Especificas del Proyecto @year', array('@year' => $year)) . '</th>';
+  $header .= '<th colspan = "3" style="width: 35%; text-align: center">' . t('AsignaciÃ³n Presupuestaria @year (En Millones de Bolivares)', array('@year' => $year)) . '</th>';
+  $header .= '</tr>';
+  $header .= '<tr>';
+  $header .= '<th style="text-align: center">' . t('Bien o Servicio') . '</th>';
+  $header .= '<th style="text-align: center">' . t('Cantidad/Meta') . '</th>';
+  $header .= '<th style="text-align: center">' . t('Fuente') . '</th>';
+  $header .= '<th style="text-align: center">' . t('Monto') . '</th>';
+  $header .= '<th style="text-align: center">' . t('Total') . '</th>';
+  $header .= '</tr>';
+  $plan_nombre = t('Plan Operativo Anual: @anho', array('@anho' => $year));
+  $begin = '';
+  $output = '';
+  $nid = 0;
   foreach ($view->result as $key => $values) {
-    $items[$values->node_ente_planificador_hierarchical_nid][] = $values;
-  }
-
-  //items
-  $html = '';
-  foreach ($items as $nid => $item) {
-    $node = node_load($nid);
-    $output = '<p></p><p>' . t('Plan Operativo Anual: @anho', array('@anho' => 2018)) . '</p>';
-    $output .= '<p>' . t('ORGANISMO RESPONSABLE: @ente', array('@ente' => $node->title)) . '</p>';
-
-    $output .= '<table border="1" cellpadding="5">';
-    $output .= '<tr><th style="width: 50px;">' . t('Cod.')  . '</th>';
-    $output .= '<th style="width: 100px;">' . t('Nombre del Proyecto')  . '</th>';
-    $output .= '<th style="width: 100px;">' . t('Objetivo EspecÃ­fico del Proyecto')  . '</th>';
-    $output .= '<th style="width: 100px;">' . t('Ejecutor')  . '</th>';
-    $output .= '<th style="width: 100px;">' . t('LocalizaciÃ³n')  . '</th>';
-    $output .= '<th style="width: 250px;">' . t('Resultado de las Acciones Especificas del Proyecto 2007')  . '</th>';
-    $output .= '<th style="width: 250px;">' . t('AsignaciÃ³n Presupuestaria 2007 (En Millones de Bolivares)')  . '</th></tr>';
-
-
-    foreach ($item as $id => $fields) {
-      $output .= '<tr>';
-      //field codigo
-      $output .= '<td>';
-      $output .= $fields->node_title;
-      $output .= '</td>';
-      //nombre del proyecto
-      $output .= '<td>';
-      $output .= $fields->node_data_field_proyecto_titulo_field_proyecto_titulo_value;
-      $output .= '</td>';
-      //field objetivo
-      $output .= '<td>';
-      $output .= $fields->node_data_field_proyecto_titulo_field_proyecto_og_value;
-      $output .= '</td>';
-      //field ejecutor
-      $output .= '<td>';
-      $output .= $fields->node_node_data_field_proyecto_ente_title;
-      $output .= '</td>';
-      //field localizacion
-//      $ubicacion = '<ul>';
-      foreach ($fields->views_php_6 as $id => $tid) {
-        $ubicacion .= '<p>' . $tid . '</p>';
-//        $ubicacion .= '<li>' . $tid . '</li>';
-      }
-//      $ubicacion .= '</ul>';
-      $output .= '<td>';
-      $output .= $ubicacion;
-      $output .= '</td>';
-
-      //field resultados de las acciones especificas del proyecto 2018
-      $accion = '<table border="1" cellpadding="5">';
-      $accion .= '<tr><th width="60%">' . t('Bien o Servicio') . '</th>';
-      $accion .= '<th width="40%">' . t('Cantidad/Meta') . '</th></tr>';
-
-      $accion .= '<tr>';
-      $accion .= '<td>';
-//      $accion .= '<ul>';
-      foreach ($fields->views_php_7['bien'] as $name => $value) {
-//        $accion .= '<li>' . $value . '</li>';
-        $accion .= '<p>' . $value . '</p>';
-      }
-//      $accion .= '</ul>';
-      $accion .= '</td>';
-
-      $accion .= '<td>';
-//      $accion .= '<ul>';
-      foreach ($fields->views_php_7['unidades'] as $name => $value) {
-        //$accion .= '<li>' . $value . '</li>';
-        $accion .= '<p>' . $value . '</p>';
-      }
-//      $accion .= '</ul>';
-      $accion .= '</td>';
-      $accion .= '</tr>';
-      $accion .= '</table>';
-
-      $output .= '<td>';
-      $output .= $accion;
-      $output .= '</td>';
-
-      //asignacion presupuestaria 2018
-
-      $asignacion = '<table border="1" cellpadding="5">';
-      $asignacion .= '<tr><th>' . t('Fuente') . '</th>';
-      $asignacion .= '<th>'. t('Monto') . '</th>';
-      $asignacion .= '<th>'. t('Total') . '</th></tr>';
-
-      $asignacion .= '<tr>';
-      $asignacion .= '<td>';
-//      $asignacion .= '<td><ul>';
-      foreach ($fields->views_php_10['fuentes'] as $id => $value) {
-        $asignacion .= '<p>' . $value . '</p>';
-//        $asignacion .= '<li>' . $value . '</li>';
-      }
-      $asignacion .= '</td>';
-      //$asignacion .= '</ul></td>';
-      $asignacion .= '<td>';
-      //$asignacion .= '<td><ul>';
-      foreach ($fields->views_php_10['valores'] as $id => $value) {
-        $asignacion .= '<p>' . $value . '</p>';
-//        $asignacion .= '<li>' . $value . '</li>';
-      }
-      //$asignacion .= '</ul></td>';
-      $asignacion .= '</td>';
-      $asignacion .= '<td>' . $fields->views_php_10['total'] . '</td>';
-      $asignacion .= '</tr>';
-
-      $asignacion .= '</table>';
-
-      $output .= '<td>';
-      $output .= $asignacion;
-      $output .= '</td>';
-      $output .= '</tr>';
-
+    if ($values->node_ente_planificador_hierarchical_nid != $nid) {
+      $output .= $begin . '<p></p><p>' . $plan_nombre . '<br>';
+      $output .= t('ORGANISMO RESPONSABLE: @ente', array('@ente' => $values->node_ente_planificador_hierarchical_title)) . '</p>';
+      $output .= $header;
+      $begin = '</table><br>';
     }
-    $output .= '</table>';
-    $content .= $output;
-  }
-
-  $html .= '<br>' . $content;
-  //pdf
-
+
+    $output .= '<tr>';
+    //field codigo
+    $output .= '<td>' . $values->node_title . '</td>';
+    $output .= '<td>' . $values->node_data_field_proyecto_poan_field_proyecto_titulo_value . '</td>';
+    $output .= '<td>' . $values->node_data_field_proyecto_poan_field_proyecto_og_value . '</td>';
+    $output .= '<td>' . $values->node_node_data_field_proyecto_ente_title . '</td>';
+    $output .= '<td>' . implode('<hr><br>', $values->views_php_6) . '</td>';
+    $output .= '<td>' . implode('<hr><br>', $values->views_php_7['bien']) . '</td>';
+    $output .= '<td>' . implode('<hr><br>', $values->views_php_7['unidades']) . '</td>';
+    $output .= '<td>' . implode('<hr><br>', $values->views_php_10['fuentes']) . '</td>';
+    $output .= '<td>' . implode('<hr><br>', $values->views_php_10['valores']) . '</td>';
+    $output .= '<td align="center">' . $values->views_php_10['total'] . '</td>';
+    $output .= '</tr>';
+  }
+  $output .= $begin;
   $author = variable_get('site_name', '');
   module_load_include('module', 'libraries', 'libraries');
@@ -217,4 +138,5 @@
     return FALSE;
   }
+
   // create new PDF documentsite_slogan
   $pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
@@ -231,5 +153,5 @@
   $pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);
   //set margins
-//  $pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
+  $pdf->SetMargins(10, 17, 10);
   $pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
   $pdf->SetFooterMargin(PDF_MARGIN_FOOTER);
@@ -242,24 +164,23 @@
   // ---------------------------------------------------------
   // set font
-  $pdf->SetFont('dejavusans', '', 8);
+  //$pdf->SetFont('dejavusans', '', 8);
+  $pdf->SetFont('times', '', 8);
   // add a page
-  $pdf->AddPage();
-
+  //$pdf->AddPage();
+  $pdf->AddPage('L', 'Legal');
   if ($pdf) {
-    $title = 'Reporte Anual POAN 2018';
+    $title = t('Reporte Anual POAN @year', array('@year' => $year));
     $pdf->SetTitle($title);
     $pdf->SetSubject($title);
-    $pdf->writeHTML($html, true, false, true, false, '');
+    $pdf->writeHTML($output, true, false, true, false, '');
     $pdf->lastPage();
     header('Content-type: text/plain');
-    $name = 'reporte_anual_poan_2018.pdf';
+    $name = 'reporte_anual_poan_' . $year . '.pdf';
     header('Content-Disposition: attachment; filename="' . $name . '"');
     print $pdf->Output($name, 'I');
   }
 
-  return $content;
+  return $output;
 }
-
-
 
 /**
@@ -275,43 +196,60 @@
   $view->pre_execute();
   $view->execute();
+  $year = variable_get('proyectos_operativos_anho_creacion', 0);
   // $output = $view->render();
-
+  $header = '"' . t('Cod.') . '"'  ."\t";
+  $header .= '"' . t('Nombre del Proyecto') . '"'  ."\t";
+  $header .= '"' . t('Objetivo EspecÃ­fico del Proyecto') . '"'  ."\t";
+  $header .= '"' . t('Ejecutor') . '"'  ."\t";
+  $header .= '"' . t('LocalizaciÃ³n') . '"' ."\t";
+  $header .= '"' . t('Resultado de las Acciones Especificas del Proyecto @year', array('@year' => $year)) . '"' ."\t";
+  $header .="\t";
+  $header .=  '"' . t('AsignaciÃ³n Presupuestaria @year (En Millones de Bolivares)', array('@year' => $year)) . '"' ."\t";
+  $header .="\t";
+  $header .="\t";
+  $header. "\n";
+  $header .="\t";
+  $header .="\t";
+  $header .="\t";
+  $header .="\t";
+  $header .="\t";
+  $header .= '"' . t('Bien o Servicio') . '"' ."\t";
+  $header .= '"' . t('Cantidad/Meta') . '"' ."\t";
+  $header .= '"' . t('Fuente') . '"' ."\t";
+  $header .= '"' . t('Monto') . '"' ."\t";
+  $header .= '"' . t('Total') . '"' ."\t";
+  $header. "\n";
+  $html = '';
+  $nid = 0;
+  $output = '';
   foreach ($view->result as $key => $values) {
-    $items[$values->node_node_data_field_proyecto_ente__ente_planificador_hierar][] = $values;
-  }
-
-  //items
-  $html = '';
-  foreach ($items as $nid => $item) {
-    $node = node_load($nid);
-    $content = '';
-    $header = t('ORGANISMO RESPONSABLE: @ente', array('@ente' => $node->title)) . "\n";
-
-    $header .=  t('Cod.') . "\t" . t('Nombre del Proyecto')  ."\t" . t('Objetivo EspecÃ­fico del Proyecto')  ."\t" . t('Ejecutor')  ."\t". t('LocalizaciÃ³n')  . "\t". t('Resultado de las Acciones Especificas del Proyecto 2007')  . "\t\t" . t('AsignaciÃ³n Presupuestaria 2007 (En Millones de Bolivares)') . "\r\n";
-    $header .="\t" . "\t" . "\t". "\t". "\t".  t('Bien o Servicio') . "\t". t('Cantidad/Meta') . "\t" . t('Fuente') . "\t". t('Monto') . "\t" . t("Total") . "\n";
-
-$Name = 'Reporte_UltimaCuotaPaga.csv';
-//Descarga el archivo desde el navegador
-header('Expires: 0');
-header('Cache-control: private');
-header('Content-Type: application/x-octet-stream'); // Archivo de Excel
-header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
-header('Content-Description: File Transfer');
-header('Last-Modified: '.date('D, d M Y H:i:s'));
-header('Content-Disposition: attachment; filename="'.$Name.'"');
-header("Content-Transfer-Encoding: binary");
-
-    $content = $header;
-
-    foreach ($item as $id => $fields) {
-
-     $content .= $fields->node_title . "\t" . $fields->node_data_field_proyecto_titulo_field_proyecto_titulo_value . "\t" . $fields->node_data_field_proyecto_titulo_field_proyecto_og_value . "\t" . $fields->node_node_data_field_proyecto_ente_title . "\t" . implode(', ', $fields->views_php_6) . "\t\n";
-$content .= "\t" . "\t" . "\t". "\t". "\t" . implode(', ', $fields->views_php_7['bien']) . "\t" . implode(', ', $fields->views_php_7['unidades']) . "\t" . implode(', ', $fields->views_php_10['fuentes']) . "\t" . implode(', ', $fields->views_php_10['valores']) . "\t" . $fields->views_php_10['total'] ."\n";
-
-    $output .= $content . '\n';
+    if ($values->node_ente_planificador_hierarchical_nid != $nid) {
+      $node = node_load($values->node_ente_planificador_hierarchical_nid);
+      $nid = $node->nid;
+      $header_organismo = '"'. t('ORGANISMO RESPONSABLE: @ente', array('@ente' => $node->title)) . '"' . "\n";
+      $output .= $header_organismo . $header .$content;
+      $content = '';
+    }
+    $content .= '"' . $values->node_title . '"' . "\t";
+    $content .= '"' . $values->node_data_field_proyecto_titulo_field_proyecto_titulo_value . '"' . "\t";
+    $content .= '"' . $values->node_data_field_proyecto_titulo_field_proyecto_og_value . '"' . "\t";
+    $content .= '"' . $values->node_node_data_field_proyecto_ente_title . '"' . "\t";
+    $content .= '"' . implode(', ', $values->views_php_6) . '"' . "\t";
+    $content .= '"' . implode(', ', $values->views_php_7['bien']) . '"' . "\t";
+    $content .= '"' . implode(', ', $values->views_php_7['unidades']) . '"' . "\t";
+    $content .= '"' . implode(', ', $values->views_php_10['fuentes']) . '"' . "\t";
+    $content .= '"' . implode(', ', $values->views_php_10['valores']) . '"' . "\t";
+    $content .= '"' . implode(', ', $values->views_php_10['total']) . '"';
+    $output .= $content . "\n";
+  }
+  $Name = 'Reporte_UltimaCuotaPaga' . $year . '.csv';
+  header('Expires: 0');
+  header('Cache-control: private');
+  header('Content-Type: application/x-octet-stream'); // Archivo de Excel
+  header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
+  header('Content-Description: File Transfer');
+  header('Last-Modified: '.date('D, d M Y H:i:s'));
+  header('Content-Disposition: attachment; filename="'.$Name.'"');
+  header("Content-Transfer-Encoding: binary");
+  print $output;
 }
-
-
-}
-print $output;
-}
Index: 0.3-modules/reportes_sipes_views/reportes_sipes_views.module~
===================================================================
--- 0.3-modules/reportes_sipes_views/reportes_sipes_views.module~	(revision 6926c6ecca736a9afa3566a27b2a41a03f4c3a46)
+++ 	(revision )
@@ -1,71 +1,0 @@
-<?php
-  /**
-  * Sistema Integral de PlanificaciÃ³n y Presupuesto (SIPP)
-  * @file reportes_sipes_views.module
-  * Drupal part Module to Sistema Integral de PlanificaciÃ³n y Presupuesto (SIPP)
-  * Copyright 2013 Sistema Automatizado para la PlanificaciÃ³n EstratÃ©gico-Situacional en la AdministraciÃ³n PÃºblica Venezolana (CENDITEL)
-  *
-  * This program is free software; you can redistribute it and/or modify
-  * it under the terms of the GNU General Public License as published by
-  * the Free Software Foundation; either version 2 of the License, or
-  * (at your option) any later version.
-  * 
-  * This program is distributed in the hope that it will be useful,
-  * but WITHOUT ANY WARRANTY; without even the implied warranty of
-  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  * GNU General Public License for more details.
-  * 
-  * You should have received a copy of the GNU General Public License
-  * along with this program; if not, write to the Free Software
-  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-  *
-  * @author Cenditel Merida - Ing. Diego UzcÃ¡tegui (diego.uzc [at] gmail [dot] com)
-  * @date 2013-04-25 // (a&#241;o-mes-dia)
-  * @version 0.1 // (0.1)
-  *
-  */
-
-/*
- * Implementation of hook_menu()
- */
-function reportes_sipp_menu() {
-  $items = array();
-  
-  $items['reportes_sipes_views'] = array(
-    'title' => t('Reportes'),
-    'page callback' => 'reporte_sipes_page',
-    'access callback' => true,
-    'type' => MENU_CALLBACK,
-  );
-  
-  return $items;
-} // function reportes_sipp_menu
-
-
-/**
- * Implementation of hook_views_api().
- */
-function reportes_sipp_views_api() {
-  return array(
-    'api' => '2.0',
-    'path' => drupal_get_path('module', 'reportes_sipp') . '/views',
-  );
-}
-
-/**
- * Genera el reporte
- */
-function reporte_sipes_page() {
-  $content = '';
-
-  $view_id = '';
-  $view = views_get_view($view_id);
-  $display_id = 'default';
-  $view->set_display($display_id);
-  $view->override_path = $_GET['q'];
-  $view->pre_execute();
-  $view->execute();
-  $output = $view->render();
-
-  return $content;
-}