Index: utils/templates/403.html
===================================================================
--- utils/templates/403.html	(revision 23b3a6232c02a93813084f752637ff88bb927b6e)
+++ utils/templates/403.html	(revision 23b3a6232c02a93813084f752637ff88bb927b6e)
@@ -0,0 +1,57 @@
+{% extends 'base.inicio.html' %}
+{% load staticfiles %}
+{% block titulo %}_-= ERROR 404= No se encuentra =-_{% endblock titulo %}
+  <!-- Tell the browser to be responsive to screen width -->
+  {% block extra_constantes %}
+  {% endblock extra_constantes %}
+  {% block extracss %}
+  
+  {% endblock extracss %}
+  {% block extrajs %}
+  {% endblock extrajs %}
+  {% block menu %}
+    {% include 'users.menu.html' %}
+  {% endblock menu %}
+{% block contenido %}
+<div class="contenido-sapic">
+<div class="row">
+  <div class="content-wrapper container">
+    <!-- Content Header (Page header) -->
+    <section class="content-header">
+      <h1>
+        403 Error Page
+      </h1>
+    </section>
+    <!-- Main content -->
+    <section class="content">
+      <div class="error-page">
+        <h2 class="headline text-blue"> 403</h2>
+
+        <div class="error-content">
+          <h3><i class="fa fa-warning text-blue"></i> Oops! No tiene permiso de acceso a esta pagina.</h3>
+
+          <p>
+            No puedes acceder a la pagina que buscas.
+            Puedes <a href="{% url 'users:home' %}">retornar a inicio</a> o solicitar al administrador permisos de acceso.
+          </p>
+
+          <form class="search-form">
+            <div class="input-group">
+              <input type="text" name="search" class="form-control" placeholder="Search">
+
+              <div class="input-group-btn">
+                <button type="submit" name="submit" class="btn btn-info btn-flat"><i class="fa fa-search"></i>
+                </button>
+              </div>
+            </div>
+            <!-- /.input-group -->
+          </form>
+        </div>
+        <!-- /.error-content -->
+      </div>
+      <!-- /.error-page -->
+    </section>
+    <!-- /.content -->
+  </div>
+  <!-- /.content-wrapper -->
+{% endblock contenido %}
Index: utils/templates/404.html
===================================================================
--- utils/templates/404.html	(revision 23b3a6232c02a93813084f752637ff88bb927b6e)
+++ utils/templates/404.html	(revision 23b3a6232c02a93813084f752637ff88bb927b6e)
@@ -0,0 +1,59 @@
+{% extends 'base.inicio.html' %}
+{% load staticfiles %}
+{% block titulo %}_-= ERROR 404= No se encuentra =-_{% endblock titulo %}
+  <!-- Tell the browser to be responsive to screen width -->
+  {% block extra_constantes %}
+  {% endblock extra_constantes %}
+  {% block extracss %}
+  
+  {% endblock extracss %}
+  {% block extrajs %}
+  {% endblock extrajs %}
+  {% block menu %}
+    {% include 'users.menu.html' %}
+  {% endblock menu %}
+{% block contenido %}
+<div class="contenido-sapic">
+<div class="row">
+  <div class="content-wrapper container">
+    <!-- Content Header (Page header) -->
+    <section class="content-header">
+      <h1>
+        404 Error Page
+      </h1>
+    </section>
+    <!-- Main content -->
+    <section class="content">
+      <div class="error-page">
+        <h2 class="headline text-yellow"> 404</h2>
+
+        <div class="error-content">
+          <h3><i class="fa fa-warning text-yellow"></i> Oops! No se encuentra esta pÃ¡gina.</h3>
+
+          <p>
+            No puedes acceder a la pagina que buscas.
+            Puedes <a href="{% url 'utils:inicio' %}">retornar a inicio</a> o solicita al administrador ayuda.
+          </p>
+
+          <form class="search-form">
+            <div class="input-group">
+              <input type="text" name="search" class="form-control" placeholder="Search">
+
+              <div class="input-group-btn">
+                <button type="submit" name="submit" class="btn btn-warning btn-flat"><i class="glyphicon glyphicon-search"></i>
+                </button>
+              </div>
+            </div>
+            <!-- /.input-group -->
+          </form>
+        </div>
+        <!-- /.error-content -->
+      </div>
+      <!-- /.error-page -->
+    </section>
+    <!-- /.content -->
+  </div>
+  <!-- /.content-wrapper -->
+  </div>
+</div>
+{% endblock contenido %}
Index: utils/templates/500.html
===================================================================
--- utils/templates/500.html	(revision 23b3a6232c02a93813084f752637ff88bb927b6e)
+++ utils/templates/500.html	(revision 23b3a6232c02a93813084f752637ff88bb927b6e)
@@ -0,0 +1,67 @@
+{% extends 'base.inicio.html' %}
+{% load staticfiles %}
+{% block titulo %}_-=SAPIC-ERROR 500=-_{% endblock titulo %}
+<!-- Tell the browser to be responsive to screen width -->
+  {% block extra_constantes %}
+  {% endblock extra_constantes %}
+  {% block extracss %}
+  
+  {% endblock extracss %}
+  {% block extrajs %}
+  {% endblock extrajs %}
+  {% block menu %}
+    {% include 'users.menu.html' %}
+  {% endblock menu %}
+{% block contenido %}
+<div class="contenido-sapic">
+  <div class="row">
+  <!-- Content Wrapper. Contains page content -->
+  <div class="content-wrapper">
+
+    <!-- Content Header (Page header) -->
+    <section class="content-header">
+      <h1>
+        500 Error Page
+      </h1>
+      <ol class="breadcrumb">
+        <li><a href="#"><i class="fa fa-dashboard"></i> </a></li>
+        <li><a href="#"></a></li>
+        <li class="active">500 error</li>
+      </ol>
+    </section>
+    <!-- Main content -->
+    <section class="content">
+
+      <div class="error-page">
+        <h2 class="headline text-red">500</h2>
+
+        <div class="error-content">
+          <h3><i class="fa fa-warning text-red"></i> Oops! Something went wrong.</h3>
+
+          <p>
+            We will work on fixing that right away.
+            Meanwhile, you may <a href="../../index.html">return to dashboard</a> or try using the search form.
+          </p>
+
+          <form class="search-form">
+            <div class="input-group">
+              <input type="text" name="search" class="form-control" placeholder="Search">
+
+              <div class="input-group-btn">
+                <button type="submit" name="submit" class="btn btn-danger btn-flat"><i class="fa fa-search"></i>
+                </button>
+              </div>
+            </div>
+            <!-- /.input-group -->
+          </form>
+        </div>
+      </div>
+      <!-- /.error-page -->
+    </section>
+    <!-- /.content -->
+
+  </div>
+  </div>
+</div>
+  <!-- /.content-wrapper -->
+{% endblock contenido %}
Index: ils/templates/base.403.html
===================================================================
--- utils/templates/base.403.html	(revision b05044cde924433e5b204daa7ebe2bba48dacb5f)
+++ 	(revision )
@@ -1,59 +1,0 @@
-{% extends 'base.inicio.html' %}
-{% load staticfiles %}
-{% block titulo %}_-= 403 No tiene permisos =-_{% endblock titulo %}
-  <!-- Tell the browser to be responsive to screen width -->
-  {% block extra_constantes %}
-  {% endblock extra_constantes %}
-  {% block extracss %}
-  
-  {% endblock extracss %}
-  {% block extrajs %}
-  {% endblock extrajs %}
-  {% block menu %}
-    {% include 'users.menu.html' %}
-  {% endblock menu %}
-{% block contenido %}
-<div class="contenido-sapic">
-<div class="row">
-  <div class="content-wrapper container">
-    <!-- Content Header (Page header) -->
-    <section class="content-header">
-      <h1>
-        403 Error Page
-      </h1>
-    </section>
-    <!-- Main content -->
-    <section class="content">
-      <div class="error-page">
-        <h2 class="headline text-blue"> 403</h2>
-
-        <div class="error-content">
-          <h3><i class="fa fa-warning text-blue"></i> Oops! No tiene permiso de acceso a esta pagina.</h3>
-
-          <p>
-            No puedes acceder a la pagina que buscas.
-            Puedes <a href="{% url 'utils:inicio' %}">retornar a inicio</a> o solicita al administrador permisos de acceso.
-          </p>
-
-          <form class="search-form">
-            <div class="input-group">
-              <input type="text" name="search" class="form-control" placeholder="Search">
-
-              <div class="input-group-btn">
-                <button type="submit" name="submit" class="btn btn-info btn-flat"><i class="glyphicon glyphicon-search"></i>
-                </button>
-              </div>
-            </div>
-            <!-- /.input-group -->
-          </form>
-        </div>
-        <!-- /.error-content -->
-      </div>
-      <!-- /.error-page -->
-    </section>
-    <!-- /.content -->
-  </div>
-  <!-- /.content-wrapper -->
-  </div>
-</div>
-{% endblock contenido %}
Index: utils/urls.py
===================================================================
--- utils/urls.py	(revision 3b38b3f9a33a1e9bedd4f7edea500234aa25bb13)
+++ utils/urls.py	(revision 23b3a6232c02a93813084f752637ff88bb927b6e)
@@ -6,5 +6,4 @@
 urlpatterns = [
     url(r'^inicio/$', StartView.as_view(), name='inicio'),
-    url(r'^403/$', Forbidden.as_view(), name="403error"),
     url(r'^municipios/$', obtenerMunicipios, name='obtener_municipios'),
     url(r'^parroquias/$', obtenerParroquias, name='obtener_parroquias'),
Index: utils/views.py
===================================================================
--- utils/views.py	(revision 3b38b3f9a33a1e9bedd4f7edea500234aa25bb13)
+++ utils/views.py	(revision 23b3a6232c02a93813084f752637ff88bb927b6e)
@@ -284,15 +284,2 @@
     template_name = "base.inicio.html"
     group_required = [u"Administradores", u"Voceros", u"Integrantes"]
-
-
-class Forbidden(TemplateView):
-    """!
-    Dirige a la plantilla Forbidden 403
-
-    @author Ing. Leonel P. Hernandez M. (lhernandez at cenditel.gob.ve)
-    @copyright <a href='http://www.gnu.org/licenses/gpl-2.0.html'>
-    GNU Public License versiÃ³n 2 (GPLv2)</a>
-    @date 09-01-2017
-    @version 1.0.0
-    """
-    template_name = "base.403.html"