Index: participacion/templates/participacion.create.simple.html
===================================================================
--- participacion/templates/participacion.create.simple.html	(revision bcf369aed8edf4966f343b1b5bdbe05f393cffc9)
+++ participacion/templates/participacion.create.simple.html	(revision 59f3e60c385bd9383e94da1c25edce607fccb772)
@@ -5,7 +5,6 @@
     <h1 class="text-center">Encuesta de la constituyente</h1><hr>
     <h4 class="text-justify">
-        Un sistema sencillo y soberano desarrollado bajo la premisa de tecnologÃ­as libres y trabajo colaborativo para ampliar la participaciÃ³n protagÃ³nica
-        en la convocatoria a la Asamblea Nacional Constituyente.
-        
+        Un sistema sencillo y soberano, desarrollado bajo la premisa de tecnologÃ­as libres y trabajo colaborativo,
+        para ampliar la participaciÃ³n protagÃ³nica en la convocatoria a la Asamblea Nacional Constituyente.
         A continuaciÃ³n encontrarÃ¡ 3 preguntas sencillas que le permitirÃ¡n expresar su opiniÃ³n sobre la Constituyente.
     </h4>
Index: participacion/templates/participacion.index.html
===================================================================
--- participacion/templates/participacion.index.html	(revision a401f702ac95301460dd5c9330b1132977f1fdc2)
+++ participacion/templates/participacion.index.html	(revision 59f3e60c385bd9383e94da1c25edce607fccb772)
@@ -8,4 +8,7 @@
             <div class="row text-center">
                 <h1>Ver Consultas</h1><hr>
+                <p>A continuaciÃ³n participe en la Encuesta Constituyente para expresar su opiniÃ³n en torno a la convocatoria a la ANC y
+                Realice aportes a la discusiÃ³n de la Constituyente segÃºn los objetivos de su interÃ©s.
+                PodrÃ¡ participar una (1) vez en la Encuesta Constituyente y realizar un (1) aporte para cada objetivo de la ANC.</p>
                 <div class="col-md-12 col-sm-12 col-xs-12">
                     <div class="form-group {% if form.consultas.errors %}has-error{% endif %}">
@@ -21,5 +24,5 @@
                 </div>
                 <div class="col-md-12 col-sm-12 col-xs-12">
-                    <button type="submit" class="btn btn-red btn-large">BÃºscar</button>
+                    <button type="submit" class="btn btn-red btn-large">Buscar</button>
                 </div>
             </div>
Index: participacion/views.py
===================================================================
--- participacion/views.py	(revision bcf369aed8edf4966f343b1b5bdbe05f393cffc9)
+++ participacion/views.py	(revision 59f3e60c385bd9383e94da1c25edce607fccb772)
@@ -121,8 +121,8 @@
             elif pregunta.tipo_pregunta.id > 2 and pregunta.tipo_pregunta.id < 5:
                 if(pregunta.tipo_pregunta.id == 3):
-                    campo += '<label for="'+kwargs['pk']+'">Si</label><input type="radio" name="consulta_respuesta_sino_'+str(pregunta.id)+'" id="'+kwargs['pk']+'"value="Si" class="icheck">'
+                    campo += '<label for="'+kwargs['pk']+'">SÃ­</label><input type="radio" name="consulta_respuesta_sino_'+str(pregunta.id)+'" id="'+kwargs['pk']+'"value="Si" class="icheck">'
                     campo += '<label for="'+kwargs['pk']+'">No</label><input type="radio" name="consulta_respuesta_sino_'+str(pregunta.id)+'" id="'+kwargs['pk']+'"value="No" class="icheck">'
                 else:
-                    campo += '<label for="'+kwargs['pk']+'">Si</label><input type="radio" name="consulta_respuesta_sino_'+str(pregunta.id)+'" id="'+kwargs['pk']+'"value="Si" class="icheck need_justification">'
+                    campo += '<label for="'+kwargs['pk']+'">SÃ­</label><input type="radio" name="consulta_respuesta_sino_'+str(pregunta.id)+'" id="'+kwargs['pk']+'"value="Si" class="icheck need_justification">'
                     campo += '<label for="'+kwargs['pk']+'">No</label><input type="radio" name="consulta_respuesta_sino_'+str(pregunta.id)+'" id="'+kwargs['pk']+'"value="No" class="icheck">'
                     campo += '<div id="div_justificar_'+kwargs['pk']+'" style="display:none;"><label>Indique con que instrumento legal en vigencia se relaciona su aporte</label>'