Index: base/constant.py
===================================================================
--- base/constant.py	(revision be17cf0f5a9396f27801873bb238d9872167934c)
+++ base/constant.py	(revision 66ac3fc8b6729f1213d6c3192d250508d714dfbb)
@@ -76,4 +76,16 @@
 )
 
+OBJETIVOS_DICT = {
+    1:"La Paz como necesidad, derecho y anhelo de la NaciÃ³n",
+    2:"El perfeccionamiento del sistema econÃ³mico nacional hacia la Venezuela Potencia",
+    3:"Constitucionalizar las Misiones y Grandes Misiones Socialistas",
+    4:"La ampliaciÃ³n de las competencias del sistema de Justicia, para erradicar la impunidad de los delitos",
+    5:"ConstitucionalizaciÃ³n de las nuevas formas de Democracia Participativa y ProtagÃ³nica",
+    6:"La defensa de la soberanÃ­a y la integridad de la NaciÃ³n y protecciÃ³n contra el intervencionismo extranjero",
+    7:"ReivindicaciÃ³n del carÃ¡cter pluricultural de la Patria",
+    8:"La garantÃ­a del futuro",
+    9:"La preservaciÃ³n de la vida en el planeta",
+}
+
 ## DefiniciÃ³n de los objetivos
 OBJETIVOS_DEFINICION = (
Index: base/templates/base.nav.bar.html
===================================================================
--- base/templates/base.nav.bar.html	(revision 8edb1df6eb6c587050382e353c3b991aa80fc3a4)
+++ base/templates/base.nav.bar.html	(revision 66ac3fc8b6729f1213d6c3192d250508d714dfbb)
@@ -19,4 +19,5 @@
                 <ul class="dropdown-menu">
                     <li><a href="{% url 'update' request.user.id %}">Perfil</a></li>
+                    <li><a href="{% url 'mi_participacion' %}">Mi ParticipaciÃ³n</a></li>
                     <li><a href="{% url 'logout' %}">Logout</a></li>
                 </ul>
Index: base/templates/base.paginator.html
===================================================================
--- base/templates/base.paginator.html	(revision 66ac3fc8b6729f1213d6c3192d250508d714dfbb)
+++ base/templates/base.paginator.html	(revision 66ac3fc8b6729f1213d6c3192d250508d714dfbb)
@@ -0,0 +1,25 @@
+<div class="text-center">
+    <ul class="pagination pagination-sm">
+        {% if paginator.has_previous %}
+            <li>
+                <span>
+                    <a href="?page={{ paginator.previous_page_number }}">
+                        <span class="glyphicon glyphicon-chevron-left"></span> Anterior
+                    </a>
+                </span>
+            </li>
+        {% endif %}
+            <li>
+                <span>PÃ¡gina {{ paginator.number }} de {{ paginator.paginator.num_pages }}.</span>
+            </li>
+        {% if paginator.has_next %}
+            <li>
+                <span>
+                    <a href="?page={{ paginator.next_page_number }}">
+                        Siguiente <span class="glyphicon glyphicon-chevron-right"></span>
+                    </a>
+                </span>
+            </li>
+        {% endif %}
+    </ul>
+</div>
Index: static/css/style.css
===================================================================
--- static/css/style.css	(revision 250830e1fc6a4c045d188d8a90500bdae234d2bd)
+++ static/css/style.css	(revision 66ac3fc8b6729f1213d6c3192d250508d714dfbb)
@@ -292,2 +292,13 @@
     color: gray;
 }
+
+.twitter-button{
+    background-color: #1b95e0;
+    color: white;
+    border-radius: 5px;
+}
+
+.twitter-button:hover{
+    background-color: #197bb7;
+    color: white;
+}
Index: users/admin.py
===================================================================
--- users/admin.py	(revision cdd72e52aa6f15cea821d910e6f4ad7f7e84d79d)
+++ users/admin.py	(revision 66ac3fc8b6729f1213d6c3192d250508d714dfbb)
@@ -1,3 +1,5 @@
 from django.contrib import admin
+from models import Perfil
 
 # Register your models here.
+admin.site.register(Perfil)
Index: users/templates/certificado.template.html
===================================================================
--- users/templates/certificado.template.html	(revision 66ac3fc8b6729f1213d6c3192d250508d714dfbb)
+++ users/templates/certificado.template.html	(revision 66ac3fc8b6729f1213d6c3192d250508d714dfbb)
@@ -0,0 +1,44 @@
+{% load staticfiles %}
+<!DOCTYPE html>
+<html>
+    <head>
+        <meta charset='UTF-8'>
+        <style type='text/css'>
+            @page {
+                size:landscape;
+                background-image: url('certificado-sintexto.png');
+            }
+            span{
+                font-size: 3em;
+            }
+            .text-primary{
+               color:#7d0080;   
+            }
+            .text-danger{
+                color:red;
+            }
+            .content{
+                padding: 300px 180px 0px 25px;
+            }
+        </style>
+    </head>
+    <body>
+        <div class="content">
+            <span>Gracias</span><br/><br/>
+            <span><i><b>{{user}}</b></i></span><br/><br/>
+            <span>por realizar tu aporte a la</span><br/><br/>
+            <span class="text-primary"><b>Asamblea Nacional Constituyente</b></span><br/><br/><br/>
+            
+            <span style="text-align: right;"><b>Sector </b> {{sector}}</span><br/><br/>
+            <span> {{subsector}}</span><br/><br/><br/>
+            
+            <span><b class="text-primary">Objetivo # {{nro_obj}}: </b></span>
+            <span>{{objetivo}}</span><br/><br/>
+            
+            
+            <br/><br/><br/><br/>
+            <span class="text-danger left">Aporte Nro {{aporte_num}}</span>
+
+        </div>
+    </body>
+</html>
Index: users/templates/mi_participacion.html
===================================================================
--- users/templates/mi_participacion.html	(revision 66ac3fc8b6729f1213d6c3192d250508d714dfbb)
+++ users/templates/mi_participacion.html	(revision 66ac3fc8b6729f1213d6c3192d250508d714dfbb)
@@ -0,0 +1,34 @@
+{% extends 'consulta.base.html' %}
+{% load staticfiles %}
+{% block title %}Mi participaciÃ³n{% endblock %}
+{% block contenido %}
+    <h1 class="text-center">Mis Aportes</h1><hr>
+    {% for aportes in object_list %}
+        <div class="panel panel-default">
+            <div class="panel-body">
+                <ul>
+                    <li><b>Pregunta: </b>{{ aportes.pregunta.texto_pregunta }}</li>
+                    <li><b>Objetivo: </b>
+                         {% for key,value in objetivos.items %}
+                            {% if key == aportes.objetivo %}
+                                {{value}}
+                            {% endif %}
+                         {% endfor %}
+                    </li>
+                </ul>
+            </div>
+            <div class="panel-footer">
+                <a class="btn btn-primary" href="{% url 'certificado' aportes.pk %}">Ver Certificado</a>
+                <a class="btn twitter-button" target="_blank"
+                   href="https://twitter.com/intent/tweet?hashtags=ConstituyenSiVa,Cenditel&url=http://localhost:8003/certificado/{{aportes.pk}}&text=Mi%20participaciÃ³n%20en%20la%20constituyente&via=Cenditel">
+                <span><img src="{% static 'img/Twitter_logo_white_16.png'%}""></span> Compartir en Twitter
+                </a>
+            </div>
+        </div>
+    {% empty %}
+        <h3>No haz realizado ningun aporte.</h3>
+    {% endfor %}
+    {% if object_list %}
+        {% include 'base.paginator.html' with paginator=page_obj %}
+    {% endif %}
+{% endblock %}
Index: users/urls.py
===================================================================
--- users/urls.py	(revision 5d13782fab8299bdee4d8413d8386f00d0721736)
+++ users/urls.py	(revision 66ac3fc8b6729f1213d6c3192d250508d714dfbb)
@@ -22,4 +22,6 @@
     url(r'^logout$', LogoutView.as_view(), name = "logout"),
     url(r'^register$', RegisterView.as_view(), name = "register"),
+    url(r'^mi-participacion$', MiParticipacion.as_view(), name = "mi_participacion"),
+    url(r'^certificado/(?P<pk>\d+)$', Certificado.as_view(), name = "certificado"),
     url(r'^update/(?P<pk>\d+)$', PerfilUpdate.as_view(), name = "update"),
     url(r'^password/reset/$', password_reset,
Index: users/views.py
===================================================================
--- users/views.py	(revision e26ee4774c247aa882294d4a435e914e9cb2a261)
+++ users/views.py	(revision 66ac3fc8b6729f1213d6c3192d250508d714dfbb)
@@ -14,5 +14,6 @@
 # @version 1.0
 from django.shortcuts import render, redirect
-from django.views.generic import FormView, RedirectView, CreateView, UpdateView
+from django.views.generic import FormView, RedirectView, CreateView, UpdateView, ListView
+from django.core.paginator import Paginator, EmptyPage, PageNotAnInteger
 from django.contrib.auth.mixins import LoginRequiredMixin
 from django.contrib.messages.views import SuccessMessageMixin
@@ -24,4 +25,7 @@
 from .models import Perfil
 from base.models import Parroquia
+from base.constant import OBJETIVOS_DICT, SECTORES, SECTOR_ESTUDIANTE, SECTOR_TRABAJADOR
+from participacion.models import RespuestaAbierta
+from easy_pdf.views import PDFTemplateView
 
 class LoginView(FormView):
@@ -261,2 +265,82 @@
         
         return super(PerfilUpdate, self).form_valid(form)
+    
+class MiParticipacion(LoginRequiredMixin,ListView):
+    """!
+    Clase que gestiona la el listado de las participaciones en los aportes
+    de la consulta
+
+    @author Rodrigo Boet (rboet at cenditel.gob.ve)
+    @copyright <a href='http://www.gnu.org/licenses/gpl-2.0.html'>GNU Public License versiÃ³n 2 (GPLv2)</a>
+    @date 07-09-2017
+    @version 1.0.0
+    """
+    model = RespuestaAbierta
+    template_name = "mi_participacion.html"
+    paginate_by = 5
+    
+    def get_context_data(self, **kwargs):
+        """!
+        Metodo para cargar/obtener valores en el contexto de la vista
+    
+        @author Rodrigo Boet (rboet at cenditel.gob.ve)
+        @copyright GNU/GPLv2
+        @date 28-03-2017
+        @param self <b>{object}</b> Objeto que instancia la clase
+        @param kwargs <b>{object}</b> Objeto que contiene los datos de contexto
+        @return Retorna los datos de contexto
+        """
+        context = super(MiParticipacion, self).get_context_data(**kwargs)
+        context['object_list'] = RespuestaAbierta.objects.filter(user_id=self.request.user.id).all()
+        context['objetivos'] = OBJETIVOS_DICT
+        ## ImplementaciÃ³n del paginador
+        paginator = Paginator(context['object_list'], self.paginate_by)
+        page = self.request.GET.get('page')
+        try:
+            kwargs['page_obj'] = paginator.page(page)
+        except PageNotAnInteger:
+            kwargs['page_obj'] = paginator.page(1)
+        except EmptyPage:
+            kwargs['page_obj'] = paginator.page(paginator.num_pages)
+        return context
+    
+class Certificado(PDFTemplateView):
+    """!
+    Clase que gestiona la generaciÃ³n en pdf de los certificados de participacion
+
+    @author Rodrigo Boet (rboet at cenditel.gob.ve)
+    @copyright <a href='http://www.gnu.org/licenses/gpl-2.0.html'>GNU Public License versiÃ³n 2 (GPLv2)</a>
+    @date 07-09-2017
+    @version 1.0.0
+    """
+    template_name = "certificado.template.html"
+    
+    def get_context_data(self, **kwargs):
+        """!
+        Metodo que permite cargar de nuevo valores en los datos de contexto de la vista
+    
+        @author Rodrigo Boet (rboet at cenditel.gob.ve)
+        @copyright GNU/GPLv2
+        @date 07-09-2017
+        @param self <b>{object}</b> Objeto que instancia la clase
+        @param kwargs <b>{object}</b> Objeto que contiene los datos de contexto
+        @return Retorna los datos de contexto
+        """
+        participacionid = int(self.kwargs['pk'])
+        participacion = RespuestaAbierta.objects.filter(pk=participacionid)
+        if(participacion):
+            participacion = participacion.get()
+            kwargs['user'] = participacion.user.first_name + " " + participacion.user.last_name
+            kwargs['nro_obj'] = participacion.objetivo
+            kwargs['objetivo'] = OBJETIVOS_DICT[participacion.objetivo]
+            perfil = Perfil.objects.get(user_id = participacion.user_id)
+            SECTOR = dict(SECTORES)
+            kwargs['sector'] = SECTOR[perfil.sector]
+            if(perfil.sector_trabajador!=''):
+                ST = dict(SECTOR_TRABAJADOR)
+                kwargs['subsector'] = ST[perfil.sector_trabajador]
+            elif (perfil.sector_estudiante!=''):
+                SE = dict(SECTOR_ESTUDIANTE)
+                kwargs['subsector'] = SE[perfil.sector_estudiante]
+            kwargs['aporte_num'] = str(participacionid).zfill(10)
+        return super(Certificado, self).get_context_data(**kwargs)